
Foreman - Feature #14102

As a puppet developer, I want the full location and organization passed as YAML to the ENC

03/08/2016 11:07 AM - Chris Edester

Status: Closed   

Priority: Normal   

Assignee: Chris Edester   

Category: External Nodes   

Target version: 1.12.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3343

  

Description

Currently only the location.name and organization.name are passed as parameters to the ENC.

All you see is the last item in the Nested Inheritance.

I would like to receive the full path instead.

This is useful to me in puppet code for hiera / decision making etc.

Related issues:

Related to Foreman - Bug #15977: location and organization enc output is chan... Closed 08/04/2016

Associated revisions

Revision c7d9169d - 03/18/2016 05:31 AM - Chris Edester 

Fixes #14102 - Full location and organization passed as YAML to the ENC

History

#1 - 03/09/2016 03:31 AM - Dominic Cleal

- Category set to External Nodes

#2 - 03/17/2016 11:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3343 added

#3 - 03/18/2016 06:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c7d9169d12e16bcd5f4e3466e5cf99ca963eeea7.

#4 - 03/18/2016 06:44 AM - Dominic Cleal

- Assignee set to Chris Edester

- translation missing: en.field_release set to 136

#5 - 08/04/2016 04:58 AM - Timo Goebel

- Related to Bug #15977: location and organization enc output is changed in an incompatible way added
